Subject: bug#67482: closed (Re: bug#67482: Found a bug (?) when doing `guix pull')

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 16 Jun 2025 09:09:16 +0000

Your bug report

#67482: Found a bug (?) when doing `guix pull'

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67482: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67482
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67482: Found a bug (?) when doing `guix pull'
From: Simon Tournier <[email-masked]>
To: Zelphir Kaltstahl <[email-masked]>
Cc: [email-masked]
Date: Mon, 16 Jun 2025 10:37:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Mon, 27 Nov 2023 at 10:15, Zelphir Kaltstahl <[email-masked]> wrote:

> ./guix/serialization.scm:79:6: In procedure get-bytevector-n*:
> ERROR:
>   1. &nar-error:
>       file: #f
>       port: #<input-output: file 10>
> guix pull: error: You found a bug: the program '/gnu/store/h1273klij8l3bklpajpapv18sy2y4kw8-compute-guix-derivation'
> failed to compute the derivation for Guix (version: "3778f778c37110460dd78088200cbd05eb0c49e4"; system: "x86_64-linux";
> host version: "3f83dc5587573f173b1f61864c9b510f05de84b1"; pull-version: 1).
> Please report the COMPLETE output above by email to <[email-masked]>.

Thanks for the report and sorry for the long delay.

It appears to be a transient and well-known bug [1].  Therefore, I’m
closing:

    https://issues.guix.gnu.org/issue/67482

Feel free to reopen if I’m missing something.

Cheers,
simon

1: toward a plan? (was Re: Reducing "You found a bug" reports)
Simon Tournier <[email-masked]>
Tue, 10 Sep 2024 16:51:09 +0200
id:[email-masked]
https://lists.gnu.org/archive/html/guix-devel/2024-09
https://yhetil.org/guix/[email-masked]

Subject: Found a bug (?) when doing `guix pull'
From: Zelphir Kaltstahl <[email-masked]>
To: [email-masked]
Date: Mon, 27 Nov 2023 10:15:13 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello GNU Guix Team!

Guix tells me, that I found a bug and gives me the following output:

~~~~START~~~~
user@user-ThinkPad-P14s-Gen-2a:[0]:/home/user$ guix pull
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to 3778f77 (486 new commits)...
Building from this channel:
   guixhttps://git.savannah.gnu.org/git/guix.git     3778f77
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%guix substitute: warning: ci.guix.gnu.org: connection failed: Connection timed out
substitute:
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
building /gnu/store/6p8gq4x6fx1z35mz55bgk73injbcq0r3-config.scm.drv...
building /gnu/store/ri0r9yz2gn1zl3bcv19v18kxs8fwj2bw-git.scm.drv...
building /gnu/store/pv5xpp4j48rn5isa6fv135fy7q9sy4cy-hash.scm.drv...
building /gnu/store/k99k4dqavfbpk04bahnv9z36374mnjj1-module-import.drv...
building /gnu/store/z5rmmca3mqp4cd1aml7bsmxypmzd763q-module-import.drv...
building /gnu/store/p7kbawgcxgv3h656ghcjpdqmjdqddphz-module-import-compiled.drv...
building /gnu/store/war16841bqchkzf46ni8gcq7qrhn7k0f-module-import-compiled.drv...
building /gnu/store/j20189r8ybnza3spwc8pjmdvf2isqn32-compute-guix-derivation.drv...
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
\Backtrace:
           17 (primitive-load "/gnu/store/h1273klij8l3bklpajpapv18sy2y4kw8-compute-guix-derivation")
In ice-9/eval.scm:
     155:9 16 (_ _)
     159:9 15 (_ #(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#(#<directory (guile-u?> ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?) ?))
In ice-9/boot-9.scm:
     152:2 14 (with-fluid* _ _ _)
     152:2 13 (with-fluid* _ _ _)
In ./guix/store.scm:
   2168:24 12 (run-with-store #<store-connection 256.99 7f4e42eb80a0> #<procedure 7f4e1eb12500 at ./guix/self.scm:13?> ?)
    1996:8 11 (_ #<store-connection 256.99 7f4e42eb80a0>)
In ./guix/gexp.scm:
    299:22 10 (_ #<store-connection 256.99 7f4e42eb80a0>)
    1180:2  9 (_ #<store-connection 256.99 7f4e42eb80a0>)
    1046:2  8 (_ #<store-connection 256.99 7f4e42eb80a0>)
     892:4  7 (_ #<store-connection 256.99 7f4e42eb80a0>)
In ./guix/store.scm:
   2053:12  6 (_ #<store-connection 256.99 7f4e42eb80a0>)
    1401:5  5 (map/accumulate-builds #<store-connection 256.99 7f4e42eb80a0> #<procedure 7f4e1b5dd440 at ./guix/stor?> ?)
   1417:15  4 (_ #<store-connection 256.99 7f4e42eb80a0> ("/gnu/store/v69lh36gb404bpf7kfybcdpi9dbjk1vn-guix-daemon-?") ?)
   1417:15  3 (loop #f)
    711:11  2 (process-stderr #<store-connection 256.99 7f4e42eb80a0> _)
In ./guix/serialization.scm:
    101:11  1 (read-int #<input-output: file 10>)
      79:6  0 (get-bytevector-n* #<input-output: file 10> 8)

./guix/serialization.scm:79:6: In procedure get-bytevector-n*:
ERROR:
   1. &nar-error:
       file: #f
       port: #<input-output: file 10>
guix pull: error: You found a bug: the program '/gnu/store/h1273klij8l3bklpajpapv18sy2y4kw8-compute-guix-derivation'
failed to compute the derivation for Guix (version: "3778f778c37110460dd78088200cbd05eb0c49e4"; system: "x86_64-linux";
host version: "3f83dc5587573f173b1f61864c9b510f05de84b1"; pull-version: 1).
Please report the COMPLETE output above by email to<[email-masked]>.
~~~~~END~~~~~

Perhaps I should describe the version I am at?:

~~~~START~~~~
$ guix describe --format=channels
(list (channel
         (name 'guix)
         (url"https://git.savannah.gnu.org/git/guix.git")
         (branch "master")
         (commit
           "3f83dc5587573f173b1f61864c9b510f05de84b1")
         (introduction
           (make-channel-introduction
             "9edb3f66fd807b096b48283debdcddccfea34bad"
             (openpgp-fingerprint
               "BBB0 2DDF 2CEA F6A8 0D1D  E643 A2A0 6DF2 A33A 54FA")))))
~~~~~END~~~~~

Hope it helps!

Meanwhile I guess I could try to do `guix pull --no-substitutes` or update guix 
itself running `guix pull && guix package -u` as root. But I am not sure I 
should do that, in case more information is needed to help with the bug report?

Best wishes,
Zelphir

-- 
repositories:https://notabug.org/ZelphirKaltstahl